org.wso2.carbon.dataservices.ui.stub.admin

## Class GetDSServiceList

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.admin.GetDSServiceList

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class GetDSServiceList
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetDSServiceList bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetDSServiceList.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localDataSourceId` field for DataSourceId
    `protected boolean` | `localDataSourceIdTracker`
    `protected String` | `localDbName` field for DbName
    `protected boolean` | `localDbNameTracker`
    `protected String[]` | `localSchemas` field for Schemas This was an Array!
    `protected boolean` | `localSchemasTracker`
    `protected String` | `localServiceNamespace` field for ServiceNamespace
    `protected boolean` | `localServiceNamespaceTracker`
    `protected boolean` | `localSingleService` field for SingleService
    `protected boolean` | `localSingleServiceTracker`
    `protected String[]` | `localTableNames` field for TableNames This was an Array!
    `protected boolean` | `localTableNamesTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetDSServiceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchemas(String param)` Auto generated add method for the array for convenience
    `void` | `addTableNames(String param)` Auto generated add method for the array for convenience
    `String` | `getDataSourceId()` Auto generated getter method
    `String` | `getDbName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String[]` | `getSchemas()` Auto generated getter method
    `String` | `getServiceNamespace()` Auto generated getter method
    `boolean` | `getSingleService()` Auto generated getter method
    `String[]` | `getTableNames()` Auto generated getter method
    `boolean` | `isDataSourceIdSpecified()`
    `boolean` | `isDbNameSpecified()`
    `boolean` | `isSchemasSpecified()`
    `boolean` | `isServiceNamespaceSpecified()`
    `boolean` | `isSingleServiceSpecified()`
    `boolean` | `isTableNamesSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setDataSourceId(String param)` Auto generated setter method
    `void` | `setDbName(String param)` Auto generated setter method
    `void` | `setSchemas(String[] param)` Auto generated setter method
    `void` | `setServiceNamespace(String param)` Auto generated setter method
    `void` | `setSingleService(boolean param)` Auto generated setter method
    `void` | `setTableNames(String[] param)` Auto generated setter method
    `protected void` | `validateSchemas(String[] param)` validate the array for Schemas
    `protected void` | `validateTableNames(String[] param)` validate the array for TableNames

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localDataSourceId

          protected String localDataSourceId

      field for DataSourceId

    - #### localDataSourceIdTracker

          protected boolean localDataSourceIdTracker

    - #### localDbName

          protected String localDbName

      field for DbName

    - #### localDbNameTracker

          protected boolean localDbNameTracker

    - #### localSchemas

          protected String[] localSchemas

      field for Schemas This was an Array!

    - #### localSchemasTracker

          protected boolean localSchemasTracker

    - #### localTableNames

          protected String[] localTableNames

      field for TableNames This was an Array!

    - #### localTableNamesTracker

          protected boolean localTableNamesTracker

    - #### localSingleService

          protected boolean localSingleService

      field for SingleService

    - #### localSingleServiceTracker

          protected boolean localSingleServiceTracker

    - #### localServiceNamespace

          protected String localServiceNamespace

      field for ServiceNamespace

    - #### localServiceNamespaceTracker

          protected boolean localServiceNamespaceTracker

  - ### Constructor Detail

    - #### GetDSServiceList

          public GetDSServiceList()

  - ### Method Detail

    - #### isDataSourceIdSpecified

          public boolean isDataSourceIdSpecified()

    - #### getDataSourceId

          public String getDataSourceId()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDataSourceId

          public void setDataSourceId(String param)

      Auto generated setter method
      Parameters:
        `param` - DataSourceId

    - #### isDbNameSpecified

          public boolean isDbNameSpecified()

    - #### getDbName

          public String getDbName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDbName

          public void setDbName(String param)

      Auto generated setter method
      Parameters:
        `param` - DbName

    - #### isSchemasSpecified

          public boolean isSchemasSpecified()

    - #### getSchemas

          public String[] getSchemas()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateSchemas

          protected void validateSchemas(String[] param)

      validate the array for Schemas

    - #### setSchemas

          public void setSchemas(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Schemas

    - #### addSchemas

          public void addSchemas(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isTableNamesSpecified

          public boolean isTableNamesSpecified()

    - #### getTableNames

          public String[] getTableNames()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateTableNames

          protected void validateTableNames(String[] param)

      validate the array for TableNames

    - #### setTableNames

          public void setTableNames(String[] param)

      Auto generated setter method
      Parameters:
        `param` - TableNames

    - #### addTableNames

          public void addTableNames(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isSingleServiceSpecified

          public boolean isSingleServiceSpecified()

    - #### getSingleService

          public boolean getSingleService()

      Auto generated getter method
      Returns:
        boolean

    - #### setSingleService

          public void setSingleService(boolean param)

      Auto generated setter method
      Parameters:
        `param` - SingleService

    - #### isServiceNamespaceSpecified

          public boolean isServiceNamespaceSpecified()

    - #### getServiceNamespace

          public String getServiceNamespace()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setServiceNamespace

          public void setServiceNamespace(String param)

      Auto generated setter method
      Parameters:
        `param` - ServiceNamespace

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.